Bug 493778 - Unable to install FC11 during partition step
Unable to install FC11 during partition step
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
11
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Hans de Goede
Fedora Extras Quality Assurance
anaconda_trace_hash:8e22571ae347a6f74...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-02 23:10 EDT by Timmy Li
Modified: 2009-06-24 13:29 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-24 13:29:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Attached traceback automatically from anaconda. (218.91 KB, text/plain)
2009-04-02 23:10 EDT, Timmy Li
no flags Details

  None (edit)
Description Timmy Li 2009-04-02 23:10:16 EDT
The following was filed automatically by anaconda:
anaconda 11.5.0.38 exception report
Traceback (most recent call first):
  File "/usr/lib/python2.6/site-packages/parted/disk.py", line 181, in addPartition
    constraint.getPedConstraint()):
  File "/usr/lib/anaconda/storage/devices.py", line 754, in addPartition
    constraint=constraint)
  File "/usr/lib/anaconda/storage/devices.py", line 1129, in create
    self.disk.addPartition(self)
  File "/usr/lib/anaconda/storage/deviceaction.py", line 206, in execute
    self.device.create(intf=intf)
  File "/usr/lib/anaconda/storage/devicetree.py", line 659, in processActions
    action.execute(intf=self.intf)
  File "/usr/lib/anaconda/storage/__init__.py", line 210, in doIt
    self.devicetree.processActions()
  File "/usr/lib/anaconda/packages.py", line 115, in turnOnFilesystems
    anaconda.id.storage.doIt()
  File "/usr/lib/anaconda/dispatch.py", line 205, in moveStep
    rc = stepFunc(self.anaconda)
  File "/usr/lib/anaconda/dispatch.py", line 128, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/gui.py", line 1317, in nextClicked
    self.anaconda.dispatch.gotoNext()
PartitionException: Can't have overlapping partitions.
Comment 1 Timmy Li 2009-04-02 23:10:28 EDT
Created attachment 337971 [details]
Attached traceback automatically from anaconda.
Comment 2 Hans de Goede 2009-04-08 10:18:59 EDT
This is fixed by this commit:
http://git.fedorahosted.org/git/?p=anaconda.git;a=commitdiff;h=5a08c2bd0504f2a8c4a35251ecadcd7505e9303d

Can you please try installing *tomorrows* rawhide (do a net install using boot.iso). The boot.iso you use should have anaconda-11.5.0.42, so first check
your mirror is up2date and has that version, otherwise it will not have the fix.
Comment 3 Bug Zapper 2009-06-09 09:10:12 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.